---
gcloud:
  # In case I have an aarch64 machine in the future
  arch: x86_64 # arm
  # Where to keep the google-cloud-sdk/ directory
  dir: '{{ xdg_dir.data_home }}'

flatpak_remotes:
  flathub: https://dl.flathub.org/repo/flathub.flatpakrepo
  kdeapps: https://distribute.kde.org/kdeapps.flatpakrepo

flatpak_applications:
  - com.github.Eloston.UngoogledChromium
  - com.github.GradienceTeam.Gradience
  - com.github.flxzt.rnote
  - com.github.micahflee.torbrowser-launcher
  - com.github.tchx84.Flatseal
  - com.github.vladimiry.ElectronMail
  - com.github.wwmm.easyeffects
  - com.obsproject.Studio
  - com.usebottles.bottles
  - info.febvre.Komikku
  - io.gitlab.librewolf-community
  - me.kozec.syncthingtk
  - net.jami.Jami
  - org.gimp.GIMP
  - org.inkscape.Inkscape
  - org.kde.krita
  - org.kde.tokodon
  - org.libreoffice.LibreOffice
  - org.pipewire.Helvum
  - org.qbittorrent.qBittorrent
  - org.remmina.Remmina
  - org.rncbc.qpwgraph
  # - social.whalebird.WhalebirdDesktop

# Installation directories
kubestr_dir: ~/Code/kubestr
rakkess_dir: ~/Code/rakkess
vagrant_dir: ~/Code/hashicorp/vagrant

# My collection of interesting APK packages.
# (not what actually should be always installed)
#
# mesa-dri-gallium / mesa-dri-classic is mutually exclusive
# (install only 1 of those)
system_apk_packages:
  - abook
  - aerc
  - age
  - alacritty
  - ansible-lint
  - apko
  - apptainer
  - asfa
  - aspell
  - aspell-en
  - autoconf
  - automake
  - bash
  - bat
  - below
  - bettercap
  - borgbackup
  - breezy
  - brillo
  - btop
  - build-base
  - buku
  - bzip3
  - cabal
  - cargo
  - cargo-audit
  - cargo-auditable
  - castero
  - chafa
  - chromium
  - clang
  - clang-analyzer
  - clang-extra-tools
  - clifm
  - cliphist
  - cmake
  - comics-downloader
  - cosign
  - cppcheck
  - criu
  - croc
  - csview
  - curl
  - darcs
  - dasel
  - ddgr
  - desync
  - didder
  - direnv
  - distrobox
  - docker-machine-driver-kvm2 # KVM driver for minikube
  - docs
  - drill
  - duf
  - dunst
  - dust
  - emacs-pgtk-nativecomp
  - entr
  - ethtool
  - exiftool
  - expect
  - extra-cmake-modules
  - fd
  - ffmpeg
  - ffmpegthumbnailer
  - ffuf
  - firectl
  - flatpak
  - flawfinder
  - flexget
  - font-mononoki
  - font-noto
  - font-noto-emoji
  - font-overpass
  - font-unifont
  - fossil
  - foot
  - fq
  - fscrypt
  - fzf
  - gallery-dl
  - gdb
  - ghq
  - ginkgo
  - git-branchless
  - git-cliff
  - git-email
  - git-extras
  - git-lfs
  - git-scalar
  - git-sizer
  - github-cli
  - gitoxide
  - glab
  - gnupg-doc
  - go
  - go-jsonnet
  - go-task
  - gobang
  - gocryptfs
  - gojq
  - gpg
  - gpg-tui
  - grim
  - gron
  - grpcui
  - grype
  - gsettings-desktop-schemas # To run `gsettings` command to customize GTK theming
  - gst-plugins-pipewire
  - guestfs-tools
  - gum
  - helix
  - helm
  - hexyl
  - htmlq
  - httm
  - hunspell
  - hunspell-en-us
  - hwatch
  - hyperfine
  - ictree
  - imagemagick
  - inxi
  - iperf3
  - iproute2
  - jinja2-cli
  - jql
  - jsonnet-bundler # To be used for tanka
  - jujutsu
  - k9s
  - kmon
  - ko
  - kompose
  - kopia
  - kubectl
  - kubectx
  - libarchive-tools
  - libffi-dev
  - libtool
  - libwhich
  - lite-xl
  - litecli
  - lnav
  - love
  - lowdown
  - lsd
  - lua5.4-posix
  - lutgen
  - mage
  - man-pages
  - man-pages-posix
  - mbuffer
  - mdbook
  - megatools
  - mercurial
  - mesa-dri-gallium
  - mesa-va-gallium
  - mesa-vdpau-gallium
  - meson
  - minikube
  - minisign
  - mksh
  - mkvtoolnix # Provide 'mkvmerge' utility for gallery-dl to extract ugoira
  - monolith
  - mopidy
  - mpc
  - mpd
  - mpdris2
  - mprocs
  - mpv
  - mpv-mpris
  - mtr
  - muon
  - mupdf-tools
  - mycli
  - ncdu2
  - ncmpcpp
  - neovim
  - nerdctl
  - newsboat
  - ngrep
  - nix
  - nixpacks
  - nmap
  - nodejs-current
  - nushell
  - nvme-cli
  - onefetch
  - openssh-client-default
  - openssh-doc
  - pandoc-cli
  - pastel
  - pavucontrol-qt
  - pciutils
  - pcmanfm-qt
  - pdd
  - pdm
  - peep
  - perf
  - pgcli
  - pijul
  - pinentry-qt
  - pipe-viewer
  - pipewire
  - pipewire-pulse
  - pipewire-jack
  - pipewire-tools
  - pipr
  - plantuml
  - playerctl
  - plocate
  - pnpm
  - popeye
  - primecount
  - primesieve
  - procs
  - ps_mem
  - psmisc
  - pulumi
  - pulumi-language-go
  - pulumi-language-yaml
  - pv
  - py3-mopidy-local
  - py3-mopidy-mpd
  - py3-setuptools
  - py3-virtualenv
  - py3-websocket-client
  - python3-dev
  - qalc
  - qbittorrent-cli
  - qimgv
  - qt5ct
  - qt5-qtimageformats # To display webp images inside qimgv
  - qt6ct
  - rathole
  - rclone
  - rekor
  - restic
  - ripgrep
  - rlwrap
  - rofi-calc
  - rofi-emoji
  - rofi-file-browser-extended
  - rofi-wayland
  - rootlesskit
  - rsync
  - rustic
  - rustscan
  - senpai
  - sexpect
  - shadowsocks-rust
  - shellcheck
  - skopeo
  - slurp
  - smartmontools
  - so
  - sops
  - sqlite
  - sshfs
  - sslscan
  - starship
  - staticcheck
  - steghide
  - step-cli
  - stern
  - strace
  - streamlink
  - stylua
  - superd
  - swappy
  - sway
  - swayidle
  - swaylock
  - swww
  - syft
  - systeroid
  - tanka
  - tcpdump
  - tea
  - termshark
  - testdisk
  - texlive-full
  - tidyhtml
  - tokei
  - treedude
  - trivy
  - tuc
  - tzdata
  - ugrep
  - unfurl
  - up
  - usbutils
  - usql
  - valgrind
  - vhs
  - viddy
  - vieb
  - vifm
  - visidata
  - vivid
  - vulkan-loader
  - wavemon
  - waybar
  - weechat
  - weechat-lua
  - weechat-python
  - weechat-spell
  - wezterm
  - wezterm-extra-terminfo
  - wf-recorder
  - wiki-tui
  - wireplumber
  - wlr-randr
  - xdg-dbus-proxy
  - xdg-desktop-portal-gtk
  - xdg-desktop-portal-wlr
  - xdg-user-dirs
  - xh
  - xonsh
  - xsv
  - xwayland
  - xz
  - yamllint
  - yash
  - yq
  - ytmdl
  - ytt
  - zathura
  - zathura-cb
  - zathura-pdf-mupdf
  - zathura-ps
  - zellij
  - zoxide

  # Drop these from world
  - '!sway-wallpapers'
  - '!fzf-bash-plugin'
  - '!fzf-fish-plugin'
  - '!fzf-neovim'
  - '!dbus-daemon-launch-helper'
